Summary: Assorted cellular automata simulators 
Name: xtoys
Version: 1.0
Release: 2 
Source: http://penguin.phy.bnl.gov/www/xtoys/xtoys.tar.Z
URL: http://penguin.phy.bnl.gov/www/xtoys/xtoys.html
Copyright: distributable 
Packager: chorn@warwick.net
Group: X11/Applications/Math
Patch: xtoys-1.0.patch

%description
Assorted cellular automata simulators. Includes a totalistic simulator xautomalab,
xfires which is a simple forest fire automaton, xising for the two dimensional Ising
model, xpotts for the two dimensional Potts model, and xsand for the Bak, Tang, 
Wiesenfeld model. Also includes xwaves which demonstrates some different wave
equations, and schrodinger for playing with the schrodinger equation in an
adjustable potential.

%prep
cd /usr/src/redhat/BUILD
rm -rf xtoys
mkdir xtoys
cd xtoys
gzip -dc /usr/src/redhat/SOURCES/xtoys.tar.Z | tar -xvvf -
cd ..
%patch -p0

%build
cd xtoys
xmkmf
make

%install
cd xtoys
install -o root -g root -s -m 0755 xautomalab /usr/X11R6/bin/xautomalab
install -o root -g root -s -m 0755 xfires /usr/X11R6/bin/xfires
install -o root -g root -s -m 0755 xising /usr/X11R6/bin/xising
install -o root -g root -s -m 0755 xpotts /usr/X11R6/bin/xpotts
install -o root -g root -s -m 0755 xsand /usr/X11R6/bin/xsand
install -o root -g root -s -m 0755 xwaves /usr/X11R6/bin/xwaves
install -o root -g root -s -m 0755 schrodinger /usr/X11R6/bin/schrodinger
install -o root -g root -m 0744 xautomalab.man /usr/X11R6/man/man1/xautomalab.1
install -o root -g root -m 0744 xfires.man /usr/X11R6/man/man1/xfires.1
install -o root -g root -m 0744 xising.man /usr/X11R6/man/man1/xising.1
install -o root -g root -m 0744 xpotts.man /usr/X11R6/man/man1/xpotts.1
install -o root -g root -m 0744 xsand.man /usr/X11R6/man/man1/xsand.1
install -o root -g root -m 0744 xwaves.man /usr/X11R6/man/man1/xwaves.1

%files
/usr/X11R6/bin/xautomalab
/usr/X11R6/bin/xfires
/usr/X11R6/bin/xising
/usr/X11R6/bin/xpotts
/usr/X11R6/bin/xsand
/usr/X11R6/bin/xwaves
/usr/X11R6/bin/schrodinger
/usr/X11R6/man/man1/xautomalab.1
/usr/X11R6/man/man1/xfires.1
/usr/X11R6/man/man1/xising.1
/usr/X11R6/man/man1/xpotts.1
/usr/X11R6/man/man1/xsand.1
/usr/X11R6/man/man1/xwaves.1

